hc-httpclient-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: change transitive dependency from httpclient-4.2.5 to 4.3.5
Date Wed, 15 Oct 2014 10:13:00 GMT
On Wed, 2014-10-15 at 09:51 +0000, GIPA mbH Di Ly wrote:
> Our software has a transitive dependency to httpclient- 4.2.5. Is there any problem when
I change the httpclient- 4.2.5 to 4.3.5, httpcore-4.2.4 to 4.3.2 and commons-codec-1.4 to
1.6?
> 
> Thanks.
> 
> Ly

HC 4.x releases are backward API and binary compatible but I would
recommend migrating off deprecated APIs. We test deprecated code much
less thoroughly.

Oleg  


---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-users-unsubscribe@hc.apache.org
For additional commands, e-mail: httpclient-users-help@hc.apache.org


Mime
View raw message